Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class ViewportLayout

    java.lang.Object
      |
      +--javax.swing.ViewportLayout

public class ViewportLayout
extends java.lang.Object
implements java.awt.LayoutManager, java.io.Serializable

The default layout manager for JViewport. JViewportLayout defines a policy for layout that should be useful for most applications. The viewport makes its view the same size as the viewport, however it will not make the view smaller than its minimum size. As the viewport grows the view is kept bottom justified until the entire view is visible, subsequently the view is kept top justified.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`ViewportLayout()`

Method Summary
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component c)` Adds the specified component to the layout.
`void` | `layoutContainer(java.awt.Container parent)` Called by the AWT when the specified container needs to be laid out.
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)` Returns the minimum dimensions needed to layout the components contained in the specified target container.
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)` Returns the preferred dimensions for this layout given the components in the specified target container.
`void` | `removeLayoutComponent(java.awt.Component c)` Removes the specified component from the layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewportLayout

    public ViewportLayout()

Method Detail

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component c)

  Adds the specified component to the layout. Not used by this class.
  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager
  Parameters:
    `name` - the name of the component
    `comp` - the the component to be added

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component c)

  Removes the specified component from the layout. Not used by this class.
  Specified by:
    removeLayoutComponent in interface java.awt.LayoutManager
  Parameters:
    `comp` - the component to remove

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Returns the preferred dimensions for this layout given the components in the specified target container.
  Specified by:
    preferredLayoutSize in interface java.awt.LayoutManager
  Parameters:
    `target` - the component which needs to be laid out
  Returns:
    a Dimension object containing the preferred dimensions
  See Also:
    `minimumLayoutSize(java.awt.Container)`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Returns the minimum dimensions needed to layout the components contained in the specified target container.
  Specified by:
    minimumLayoutSize in interface java.awt.LayoutManager
  Parameters:
    `target` - the component which needs to be laid out
  Returns:
    a Dimension object containing the minimum dimensions
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Called by the AWT when the specified container needs to be laid out.
  Specified by:
    layoutContainer in interface java.awt.LayoutManager
  Parameters:
    `parent` - the container to lay out
  Throws:
    AWTError - if the target isn't the container specified to the BoxLayout constructor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.